<?php
/**
 * wbAMP - Accelerated Mobile Pages for Joomla!
 *
 * @author      Yannick Gaultier
 * @copyright   (c) Yannick Gaultier - Weeblr llc - 2017
 * @package     wbAmp
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version     1.9.2.690
 * @date        2017-06-06
 */

// no direct access
defined('_JEXEC') or die;

interface WbampClass_FormHandlerInterface
{
	/**
	 * Post a com_contact form, and builds a response object based on result.
	 *
	 * Response format is:
	 *
	 * array(
	 * 'status'  => 'ok',
	 * 'message' => '',
	 * 'link'    => '',
	 * 'debug'   => ''
	 * )
	 *
	 * @param array  $response
	 * @param JInput $input
	 * @param JUser  $user
	 *
	 * @return array | null Null if cannot handle, otherwise a response, even if an error occured
	 */
	public function handleAjax($response, $input, $user);
}

