<?php
/**
 * wbAMP - Accelerated Mobile Pages for Joomla!
 *
 * @author      Yannick Gaultier
 * @copyright   (c) Yannick Gaultier - Weeblr llc - 2017
 * @package     wbAmp
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version     1.9.2.690
 * @date        2017-06-06
 */

// no direct access
defined('_JEXEC') || die;
?>
<!--

DISQUS relay frame for AMP implementation


-->
<div id="disqus_thread"></div>
<script>
    window.addEventListener('message', receiveMessage, false);
    function receiveMessage(event) {
        if (event.data) {
            var msg;
            try {
                msg = JSON.parse(event.data);
            } catch (err) {
                // Do nothing
            }
            if (!msg)
                return false;

            if (msg.name === 'resize') {
                window.parent.postMessage({
                    sentinel: 'amp',
                    type: 'embed-size',
                    height: msg.data.height
                }, '*');
            }
        }
    }
</script>
<script>
    /**
     *  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR PLATFORM OR CMS.
     *  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: https://disqus.com/admin/universalcode/#configuration-variables
     */
    var disqus_config = function () {
        //this.page.url = window.location;  // Replace PAGE_URL with your page's canonical URL variable
        var match = RegExp('[?&]wbp_disqus_url=([^&]*)').exec(window.location.search);
        this.page.url = match ? decodeURIComponent(match[1].replace(/\+/g, ' ')) : window.location;

        // this.page.identifier = window.location.hash; // Replace PAGE_IDENTIFIER with your page's unique identifier variable

        var match = RegExp('[?&]wbp_disqus_id=([^&]*)').exec(window.location.search);
        this.page.identifier = match ? decodeURIComponent(match[1].replace(/\+/g, ' ')) : window.location.hash;
    };
    (function () {  // DON'T EDIT BELOW THIS LINE
        var d = document, s = d.createElement('script');

        s.src = 'https://<?php echo trim(wbArrayGet($displayData, array('shortname'))); ?>.disqus.com/embed.js';

        s.setAttribute('data-timestamp', +new Date());
        (d.head || d.body).appendChild(s);
    })();
</script>
